> For the complete documentation index, see [llms.txt](https://docs.slm.games/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.slm.games/api.md).

# API

## Installation <a href="#installation" id="installation"></a>

* Using npm:

```shell
  npm i api.slm.games
```

* Using yarn

```shell
  yarn add api.slm.games
```

## Get Start <a href="#get-start" id="get-start"></a>

```javascript
import api from "api.slm.games";

const token = "GET YOUR TOKEN FROM PROFILE PAGE";

async function main() {
  const ins = new api("https://api.slm.games", token);
  const info = await ins.userGetInfo();
  console.log(info);
}

main()
  .then(() => process.exit(0))
  .catch((error) => {
    console.error(error);
    process.exit(1);
  });
```

* API Token\
  You can get API Token from <https://slm.games/profile>

  And `Don't` show it to anyone
* Token Expiration\
  By default, the token for API is valid for 86400 seconds (24 hours).

  We recommend that you refresh token expiration by call `userGetInfo` API every minute;

## API <a href="#api" id="api"></a>

* userGetInfo\
  Get current user's information

  ```javascript
  const info = await ins.userGetInfo();
  ```
* walletGetBalance\
  Get balance of symbol

  ```javascript
  const balance = await ins.walletGetBalance("SLM");
  ```
* diceBet\
  Bet on dice game

  ```javascript
  const rsp = await ins.diceBet("over", 50, "SLM", 100)
  ```
* crashBet

  Bet on crash game

  ```javascript
  const rsp = await ins.crashBet(2.0, "SLM", 100)
  ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.slm.games/api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
